Index: g723.1/Makefile
===================================================================
RCS file: /usr/cvsroot/g723.1/Makefile,v
retrieving revision 1.1.1.1
diff -u -r1.1.1.1 Makefile
--- codecs/g723.1/Makefile	19 Mar 2003 22:49:52 -0000	1.1.1.1
+++ codecs/g723.1/Makefile	14 Sep 2003 15:28:36 -0000
@@ -3,7 +3,7 @@
 #
 #
 ARFLAGS=cr
-CFLAGS+=-ansi -O6 -funroll-loops -finline-functions -fomit-frame-pointer -mpentium -fschedule-insns2
+CFLAGS+=-Wall -Werror -O3 -march=$(shell uname -m) -funroll-loops -fomit-frame-pointer
 LIB=libg723.a
 OBJS=coder.o decod.o lpc.o exc_lbc.o lsp.o tab_lbc.o util_lbc.o \
      vad.o cod_cng.o dec_cng.o util_cng.o tame.o # basop.o 
Index: g723.1/typedef.h
===================================================================
RCS file: /usr/cvsroot/g723.1/typedef.h,v
retrieving revision 1.1.1.1
diff -u -r1.1.1.1 typedef.h
--- codecs/g723.1/typedef.h	19 Mar 2003 22:49:52 -0000	1.1.1.1
+++ codecs/g723.1/typedef.h	14 Sep 2003 15:28:36 -0000
@@ -15,17 +15,17 @@
 typedef  short int   Word16   ;
 typedef  short int   Flag  ;
 typedef  long long   Word64 ;
-#elif defined( __sun)
+#elif defined( __sun__) || defined(__sun)
 typedef short  Word16;
 typedef long  Word32;
 typedef int   Flag;
 typedef long long Word64;
-#elif defined(__alpha)
+#elif defined(__alpha__) || defined(__alpha)
 typedef short Word16;
 typedef int   Word32;
 typedef int   Flag;
 typedef	long  Word64;
-#elif defined(__i386)
+#elif defined(__i386__) || defined(__i386)
 typedef short Word16;
 typedef int   Word32;
 typedef int   Flag;
Index: g723.1b/Makefile
===================================================================
RCS file: /usr/cvsroot/g723.1b/Makefile,v
retrieving revision 1.1.1.1
diff -u -r1.1.1.1 Makefile
--- codecs/g723.1b/Makefile	19 Mar 2003 22:50:21 -0000	1.1.1.1
+++ codecs/g723.1b/Makefile	14 Sep 2003 15:28:36 -0000
@@ -3,7 +3,7 @@
 #
 #
 ARFLAGS=cr
-CFLAGS+=-ansi -O6 -mpentium -funroll-loops -finline-functions -ffast-math -fomit-frame-pointer -fschedule-insns2 -Dsingle 
+CFLAGS+=-Wall -Werror -O3 -march=$(shell uname -m) -funroll-loops -fomit-frame-pointer -Dsingle
 LIB=libg723b.a
 OBJS=coder2.o decod2.o lpc2.o exc2.o lsp2.o tab2.o util2.o \
      vad2.o codcng2.o deccng2.o utilcng2.o
Index: g723.1b/typedef2.h
===================================================================
RCS file: /usr/cvsroot/g723.1b/typedef2.h,v
retrieving revision 1.1.1.1
diff -u -r1.1.1.1 typedef2.h
--- codecs/g723.1b/typedef2.h	19 Mar 2003 22:50:21 -0000	1.1.1.1
+++ codecs/g723.1b/typedef2.h	14 Sep 2003 15:28:37 -0000
@@ -27,7 +27,7 @@
 typedef short  Word16;
 typedef long  Word32;
 typedef int   Flag;
-#elif defined(__alpha)
+#elif defined(__alpha__) || defined(__alpha)
 typedef short Word16;
 typedef int   Word32;
 typedef int   Flag;
